#
# Conditional build:
%bcond_without	tests	# py.test tests

Summary:	Thin-wrapper around the mock package for easier use with py.test
Summary(pl.UTF-8):	Cienka warstwa obudowująca pakiet mock, ułatwiająca używanie wraz z py.test
Name:		python3-pytest-mock
Version:	3.14.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-mock/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-mock/pytest-mock-%{version}.tar.gz
# Source0-md5:	c22f3c24300091f503258d1ba5159551
URL:		https://pypi.org/project/pytest-mock/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-pytest >= 5.0
BuildRequires:	python3-pytest-asyncio
# there is py3 test which relies on "mock" standalone module not being installed
BuildConflicts:	python3-mock
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin installs a mocker fixture which is a thin-wrapper around
the patching API provided by the mock package, but with the benefit of
not having to worry about undoing patches at the end of a test.

%description -l pl.UTF-8
Ta wtyczka instaluje osprzęt (fixture) do tworzenia atrap, będący
cienką warstwą ponad API dostarczane przez pakiet mock, ale
pozwalający nie martwić się o wycofywanie łat na końcu testu.

%prep
%setup -q -n pytest-mock-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTHONPATH=$(pwd)/src \
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_asyncio.plugin,pytest_mock" \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/pytest_mock
%{py3_sitescriptdir}/pytest_mock-%{version}.dist-info
%changelog
* Thu Mar 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-mock.git;a=log;h=master

* Fri Mar 28 2025 Jan Rękorajski <baggins@pld-linux.org> ebfd466
- up to 3.14.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3bbd5b2
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 7bead0b
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> bc4e0e2
- use patch -P

* Mon Oct 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 35c9406
- updated to 3.10.0
- added tests patch to fix two test failures

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cca9553
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d67bd45
- rebuild with python 3.10

* Sat Mar 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 0a882d4
- updated to 3.7.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d10590a
- release 2 (by relup.sh)

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> bd3d8e2
- updated to 3.5.1 (for python 3.5+/pytest 5) as python3-pytest-mock.spec

* Sat Feb 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 1de37ca
- updated to 2.0.0

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> 38886a8
- up to 1.10.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 3e10e1f
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Jul 31 2018 Jakub Bogusz <qboosh@pld-linux.org> 803d92d
- added sed variant for older setuptools

* Mon Jul 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 4d79a0f
- updated to 1.10.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b157683
- release 2 (by relup.sh)

* Tue Mar 07 2017 Jakub Bogusz <qboosh@pld-linux.org> c8cd02d
- tests fail with python3-mock installed

* Mon Mar 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 415cc0d
- new

